 <!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">

		// funcion suma que suma los elementos de un array
		// pasado a la funcion como argumento
		// 
		/**
		 * Es capaz de sumar los elementos de un array
		 * @param  {[array]} argumento [es el array que va a sumar]
		 * @return {[int]}             [suma de los elementos del array]
		 */
		function suma(argumento){
			let s=0;
				for (let i = 0; i < argumento.length; i++) {
					s=s+argumento[i];
					// s+=argumento[i];
				}

			return s;
		}
		
		/**
		 * calcula la media de los elementos de un array
		 * @param {array} argumento [un array de numeros]
		 * @return {Real} 			[la media de los elementos del array]
		 */

		function media(argumento){
			let c=0;
			let m=0;
			let s=0;

				
			s=suma(argumento);
			m=s/argumento.length;
			return m;
		}

		/**
		 * programa principal
		 * 
		 */

		let numeros=[4, 9, 8, 10];
		let sPrincipal=0;
		let mPrincipal=0;
		
		sPrincipal=suma(numeros);
		mPrincipal=media(numeros);

		document.write("La suma es ", sPrincipal, '<br>');
		document.write("La media es ", mPrincipal);

		sPrincipal=suma([2, 2, 2, 2]);
		mPrincipal=media([2, 2,2, 2]);


		document.write("<br>");
		document.write("La suma es ", sPrincipal, '<br>');
		document.write("La media es ", mPrincipal);


	</script>
</head>
<body>
	
</body>
</html>